%define upstream_name    Test-Requires
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Checks to see if the module can be loaded
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Test::Requires checks to see if the module can be loaded.

If this fails rather than failing tests this *skips all tests*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.yml LICENSE Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 530828
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 460005
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 373757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 24456
- fix specs
- imported package perl-Test-Requires

